package code

var (
	OK                          int32 = 0     // is ok
	Error                       int32 = 1     // error
	PIDError                    int32 = 10000 // pid错误
	LoginError                  int32 = 10201 // 登录异常
	AccountAuthFail             int32 = 10202 // 帐号授权失败
	AccountBindFail             int32 = 10203 // 帐号绑定失败
	AccountTokenValidateFail    int32 = 10204 // token验证失败
	AccountNameIsExist          int32 = 10205 // 帐号已存在
	AccountRegisterError        int32 = 10206 //
	AccountGetFail              int32 = 10207 //
	ActivityNotOpenError        int32 = 10208 // 活动不存在
	PlayerDenyLogin             int32 = 10301 // 玩家禁止登录
	PlayerDuplicateLogin        int32 = 10302 // 玩家重复登录
	PlayerNameExist             int32 = 10303 // 玩家角色名已存在
	PlayerCreateFail            int32 = 10304 // 玩家创建角色失败
	PlayerNotLogin              int32 = 10305 // 玩家未登录
	PlayerIdError               int32 = 10306 // 玩家id错误
	PlayerItemNumError          int32 = 10307 // 玩家物品不够
	PlayerSignInError           int32 = 10308 // 玩家重复签到
	InviteEmpoweringOthersError int32 = 10309 // 已为他人助力
	XAccountAlreadyExistsError  int32 = 10310 // 已绑定账号
	TonWallAlreadyExistsError   int32 = 10311 // tonwall已绑定账号
	NotEnoughItemsError         int32 = 10312 //物品不够
	TonWallNotExistsError       int32 = 10313 // 未绑定钱包
)
