package constant

const (
	GameNodeType  = "game"
	Token         = "Token"
	RankKey       = "rank"
	PlayerBaseKey = "playerBase"

	DrawHourKey   = "DrawHour"
	DrawDailyKey  = "drawDaily"
	DrawWeeklyKey = "drawWeekly"

	InviteKey = "Invite"

	PlayerDailyKey      = "PlayerDaily"
	PlayerStatHKey      = "PlayerStat"
	PlayerLevelStatHKey = "PlayerLevelStat"
	ServerLoadHKey      = "ServerLoad"
	MoneyRatio          = 10000000
)

// 游戏表名
const (
	CNameAccount           = "account"
	CNamePlayer            = "player"
	CNamePlayerReward      = "playerReward"
	CNamePlayerDailyRecord = "playerDailyRecord"
	CNameCashOutRecord     = "cashOutRecord "
	CNamePlayerLevelStat   = "playerLevelStat"
)

// 榜单数据来源类型

const (
	RankSourceScore  = 1 //积分
	RankSourceInvite = 2 //邀请
	RankSourceRoll   = 3 // 抽奖次数
)

// roll 结果类型
const (
	RollSmallBet         = 0 //<9
	RollBigBet           = 1 //>=9
	RollDoubleBet        = 2 //对子
	RollTripleBet        = 3 //豹子2345
	RollSpecialTripleBet = 4 //豹子16
)
