package entity

import (
	"github.com/mhaya/game/game_cluster/nodes/webadmin/model"
)

// UserRetentionResp 用于存储用户的留存数据
type UserRetentionResp struct {
	*model.UserRetentionData
}

type UserRetentionReq struct {
	StartTime int64 `json:"start_time"` // 开始时间
	EndTime   int64 `json:"end_time"`   // 结束时间
	Page      int   `json:"page"`       // 页码
	Size      int   `json:"size"`       // 每页数量
}
